petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSPseudoVerifyTimeStep

Verifies whether the last timestep was acceptable.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoVerifyTimeStep(TS ts,Vec update,PetscReal *dt,PetscBool *flag)

Collective on TS

### Input Parameters

| ts | - timestep context
| update | - latest solution vector

### Output Parameters

| dt | - newly computed timestep (if it had to shrink)
| flag | - indicates if current timestep was ok

### Notes

The routine to be called here to compute the timestep should be set by calling TSPseudoSetVerifyTimeStep().

### Keywords

timestep, pseudo, verify

### See Also

TSPseudoSetVerifyTimeStep(), TSPseudoVerifyTimeStepDefault()

Level:advanced
Location:src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages